## org.springframework.jdbc.core.simple
Interface ParameterizedRowMapper<T>

All Superinterfaces:
  RowMapper<T>

All Known Implementing Classes:
  ParameterizedBeanPropertyRowMapper, ParameterizedSingleColumnRowMapper

    public interface ParameterizedRowMapper<T>

extends RowMapper<T>

Extension of the `RowMapper` interface, adding type parameterization. As of Spring 3.0, this is equivalent to using the RowMapper interface directly.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `SimpleJdbcOperations`

Method Summary

Methods inherited from interface org.springframework.jdbc.core.RowMapper
`mapRow`